> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Query a Chatbot with a single message

> Handles chatbot queries with a single user message, without conversation history.



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /chatbots/query-single-message/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://docs.truestate.io/docs/api/client-api-keys) for internal an
    external authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://docs.truestate.io/docs/api/overview)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: http://docs.truestate.io/
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.11.78
servers: []
security: []
tags:
  - name: assistants
    description: Management of assistants
  - name: api-keys
    description: Management of each user personal Client API Keys, used to access this API.
  - name: models
    description: Management of models
  - name: secrets
    description: Management of client secrets for accessing external services
  - name: deployments
    description: Management of deployments.
  - name: pipelines
    description: Management of pipelines.
  - name: pipeline-runs
    description: Management of pipeline runs.
  - name: automations
    description: Management of Automations.
  - name: automation-sessions
    description: Management of Automation Sessions.
  - name: chatbots
    description: Chatbot endpoints.
  - name: check-auto-recharge
    description: ''
  - name: classification-classes
    description: >-
      Management of zero shot classifications (using ai to apply new categories
      to a dataset).
  - name: conversations
    description: Management of conversations
  - name: conventions
    description: Management of conventions - best practices for actuators and agents
  - name: credit-usage
    description: Management of Credits.
  - name: dashboards
    description: Management of Dashboards.
  - name: data
    description: Bigquery inference services
  - name: data-dictionary
    description: Data Dictionary endpoints.
  - name: datasets
    description: Dataset endpoints.
  - name: documents
    description: Document endpoints.
  - name: default
    description: Default health checks.
  - name: embedding-search
    description: ''
  - name: inference
    description: Model inference services
  - name: messages
    description: Management of messages
  - name: notebooks
    description: ''
  - name: notebook-services
    description: ''
  - name: organisations
    description: Management of Organisations.
  - name: payment-methods
    description: Management of Payment methods.
  - name: private-tasks
    description: ''
  - name: private-pipelines
    description: ''
  - name: private-data
    description: ''
  - name: renew-seats
    description: ''
  - name: tagging-lists
    description: Management of Tagging Lists.
  - name: tasks
    description: ''
  - name: task-templates
    description: Management of task templates (definitions and schedules).
  - name: agents
    description: ''
  - name: user
    description: Management of User.
  - name: user-context
    description: Management of User Context.
  - name: private-messages
    description: ''
  - name: private-llm-call
    description: ''
  - name: admin-organisations
    description: ''
  - name: private-warehouser
    description: ''
  - name: private-pipeline-tracking
    description: ''
  - name: private-pipeline-runs
    description: ''
  - name: private-reports
    description: ''
  - name: private-bootstrap
    description: ''
  - name: reports
    description: ''
  - name: private-conversations
    description: ''
  - name: private-datasets
    description: ''
  - name: private-dashboards
    description: ''
  - name: private-conventions
    description: ''
  - name: private-documents
    description: ''
paths:
  /chatbots/query-single-message/:
    post:
      tags:
        - chatbots
      summary: Query a Chatbot with a single message
      description: >-
        Handles chatbot queries with a single user message, without conversation
        history.
      operationId: query_single_message_chatbots_query_single_message__post
      parameters:
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FrontendChatbotRequest'
      responses:
        '200':
          description: Returns the response of the chatbot based on the single user message
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatBotResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FrontendChatbotRequest:
      properties:
        query_str:
          type: string
          title: Query Str
        assistant_id:
          type: string
          title: Assistant Id
        conversation_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Conversation Id
        image_str:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Str
        completion_kwargs:
          additionalProperties: true
          type: object
          title: Completion Kwargs
          default: {}
      type: object
      required:
        - query_str
        - assistant_id
      title: FrontendChatbotRequest
    ChatBotResponse:
      properties:
        query_str:
          type: string
          title: Query Str
        response:
          type: string
          title: Response
        usage:
          $ref: '#/components/schemas/LLMUsage'
      type: object
      required:
        - query_str
        - response
        - usage
      title: ChatBotResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LLMUsage:
      properties:
        input_tokens:
          type: integer
          title: Input Tokens
        output_tokens:
          type: integer
          title: Output Tokens
        model_type:
          $ref: '#/components/schemas/LLMModelType'
      type: object
      required:
        - input_tokens
        - output_tokens
        - model_type
      title: LLMUsage
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    LLMModelType:
      type: string
      enum:
        - truestate
        - gemini-embedding-001
        - gemini-2.0-flash
        - gemini-2.5-flash
        - gemini-2.5-flash-lite
        - gemini-2.5-pro
        - gemini-3-pro-preview
        - gemini-3-flash-preview
        - gpt-4.1
        - gpt-5-2025-08-07
        - gpt-5-mini-2025-08-07
        - gpt-5-nano-2025-08-07
        - gpt-5.1-2025-11-13
        - o4-mini-2025-04-16
        - moonshotai/kimi-k2-instruct-0905
        - openai/gpt-oss-120b
        - whisper-1
        - >-
          ['gpt-4.1', 'gpt-5-2025-08-07', 'gpt-5-mini-2025-08-07',
          'gpt-5-nano-2025-08-07', 'o4-mini-2025-04-16', 'gpt-5.1-2025-11-13',
          'whisper-1']
        - >-
          ['gemini-2.0-flash', 'gemini-2.5-flash', 'gemini-2.5-flash-lite',
          'gemini-2.5-pro', 'gemini-3-pro-preview', 'gemini-3-flash-preview']
        - '[''truestate'']'
        - '[''moonshotai/kimi-k2-instruct-0905'', ''openai/gpt-oss-120b'']'
      title: LLMModelType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````